{ pkgs ? import <nixpkgs> {} }:
let
  nvimPlugins = pkgs.stdenv.mkDerivation {
    name = "nvim-plugins";
    buildInputs = [ pkgs.neovim pkgs.git pkgs.makeWrapper ];
    src = pkgs.fetchFromGitHub {
      owner = "wbthomason";
      repo = "packer.nvim";
      rev = "e72cdfe4e2ca6a24b0306d2288b1651746d88bea";
      sha256 = "0nw3d1sycwhw8wlf0mfgv54zlmsh7b8jq6djgklf6cg7csl5q96m";
    };
    buildCommand = ''
      cd packer.nvim
      make install
      wrapProgram $out/bin/packer.nvim --prefix PATH : ${pkgs.neovim}/bin
    '';
  };
in
  {
    nvimPlugins = nvimPlugins;
  }

